Package org.eclipse.emf.cdo.lm.client

# Interface LMImporter.DropCreator

Enclosing class:
  `LMImporter`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public static interface LMImporter.DropCreator

Author:
  Eike Stepper

## Field Summary

Fields
Modifier and Type
Field
Description
`static final LMImporter.DropCreator`
`DEFAULT`

## Method Summary

Modifier and Type
Method
Description
`Drop`
`createDrop(ISystemDescriptor systemDescriptor, Stream stream, long timeStamp, IProgressMonitor monitor)`
`static DropType`
`getDefaultDropType(ISystemDescriptor systemDescriptor)`

## Field Details

### DEFAULT

static final LMImporter.DropCreator DEFAULT

## Method Details

### getDefaultDropType

static DropType getDefaultDropType(ISystemDescriptor systemDescriptor)

### createDrop

Drop createDrop(ISystemDescriptor systemDescriptor, Stream stream, long timeStamp, IProgressMonitor monitor) throws ConcurrentAccessException, CommitException

Throws:
  `ConcurrentAccessException`
  `CommitException`